/*
 * This job reads files from config.articlesLocation and loads this list to `pages`
 */
var walk = require('walk');
var fs = require('fs');
var path = require('path');

module.exports = function(obj) {
  return new Promise(function(resolve, reject) {
    var pages = [];
    walk.walk(obj.config.articlesLocation)
    .on('file',function(root, fileStats, next) {
      var file = path.join(root,fileStats.name);
      fs.readFile(file, 'utf8', function(err,data) {
        if(err) {
          console.log('Error reading file '+file)
          console.log(err);
        } else {
          pages.push({
            filename: file,
            content: data
          })
        }
        next()
      })
    })
    .on('errors',function(root, nodeStatsArray, next) {
      console.log('Walker error', root, nodeStatsArray);
      next();
    })
    .on('end', function() {
      obj.pages = pages;
      resolve(obj);
    })
  })
}
